aboutsummaryrefslogtreecommitdiffstats
path: root/main/udev/udev.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-09-22 15:48:35 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-09-22 15:48:35 +0000
commit59ea1c2b42e66c216243a22e9d4d22ed6a3b93f4 (patch)
treead8003da007454f818a6faab68f9dede8ef82ce8 /main/udev/udev.initd
parent967ed15c5aa5cc735536e24b5b5cc6eb1b16e808 (diff)
downloadaports-59ea1c2b42e66c216243a22e9d4d22ed6a3b93f4.tar.bz2
aports-59ea1c2b42e66c216243a22e9d4d22ed6a3b93f4.tar.xz
main/udev: fix warning about udevadm trigger --type=failed is deprecated
Diffstat (limited to 'main/udev/udev.initd')
-rw-r--r--main/udev/udev.initd10
1 files changed, 6 insertions, 4 deletions
diff --git a/main/udev/udev.initd b/main/udev/udev.initd
index e48ea9b675..1a9869d80e 100644
--- a/main/udev/udev.initd
+++ b/main/udev/udev.initd
@@ -19,7 +19,7 @@ depend()
before checkfs fsck
# udev does not work inside vservers
- keyword novserver nolxc noopenvz
+ keyword novserver nolxc
}
cleanup()
@@ -58,9 +58,11 @@ rules_disable_switch()
start_udevd()
{
- # load unix domain sockets if built as module, Bug #221253
- if [ -e /proc/modules ] ; then
- modprobe -q unix 2>/dev/null
+ # load unix domain sockets if built as module, Bug #221253 and not yet loaded, Bug #363549
+ if [ ! -e /proc/net/unix ]; then
+ if ! modprobe unix; then
+ eerror "Cannot load the unix domain socket module"
+ fi
fi
local opts="${udev_opts}"